For the complete documentation index, see llms.txt.
Orders
GET
/api/orders/mergeableGet Suggested Merges
Get a list of unshipped orders where there are multiple orders going to the same person at the same address.
Orders
Create, search, update, tag, archive, restore, and list orders before shipping.
18 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/orders/mergeable
Details
Get a list of unshipped orders where there are multiple orders going to the same person at the same address.
Mergeable Orders Type
Merge Orders Request
Merge Orders Response
Response examples
Get Suggested Merges (200)
{
"orders": [
{
"primary_order_id": 440931582,
"orders": [
{
"order_id": 440931582,
"order_number": "858",
"order_date": "2024-07-01T05:10:34.4730965",
"street": "3623 Altona 11",
"suburb": "",
"city": "Saint Thomas",
"postcode": "00802",
"state": "",
"country": "Virgin Islands, U.S.",
"contact": "Test Virgin Islands, U.S."
},
{
"order_id": 440932662,
"order_number": "859",
"order_date": "2024-07-01T05:12:34.4730965",
"street": "3623 Altona 11",
"suburb": "",
"city": "Saint Thomas",
"postcode": "00802",
"state": "",
"country": "Virgin Islands, U.S.",
"contact": "Test Virgin Islands, U.S."
}
]
}
],
"total": 1,
"total_pages": 1,
"success": true
}Related endpoints
List Orders (Unshipped)GET /api/orders/unshippedList Orders (Printed or Unmanifested)GET /api/orders/shipmentsList Orders (Shipped)GET /api/orders/shippedList Orders (Delivered)GET /api/orders/deliveredList Orders SummaryGET /api/orders/summarySearch OrdersGET /api/orders/searchGet Order(s)GET /api/ordersCreate OrderPOST /api/ordersCreate OrdersPOST /api/orders/importUpdate OrderPUT /api/ordersUpdate OrdersPUT /api/orders/updateBatch Update OrdersPUT /api/orders/batchupdateDelete OrderDELETE /api/orders/deleteArchive OrderPOST /api/orders/archiveRestore OrderPOST /api/orders/restoreMerge OrdersPOST /api/orders/mergeAssign OrdersPOST /api/orders/assign